import java.awt.*;
import java.awt.event.*;
import javax.swing.*;
import java.io.*;
import java.util.*;

/**
 * A menu template.
 *
 * @author Moshe
 * @version 0.0
 */
public class LabMenu {

    // private constructor to prevent javadoc generation
    private LabMenu(){};

    /**
     * Displays the specified string in a dialog box.
     * @param s the string to display
     */
    public static void displayTitle(String s) {
        JOptionPane.showMessageDialog(null, s);
    }

    /**
     * Allows the user to choose between numbered options
     * in a dialog box.
     * @param s a string displaying the numbered options,
     *          one per line
     * @return the chosen option, or -1 if no choice made
     */
    public static int chooseOption(String s) {
        String ans = JOptionPane.showInputDialog(s);
        if (ans == null || ans.length() == 0)
            return -1;
        try {
            return Integer.parseInt(ans);
        } catch (NumberFormatException e) {
            return -1;
        }
    }
}
